/********************************************************************************
|  CLASS:         TLS2118 - Getting Started with MPLAB C for PIC18
|  PROGRAM:       Lab1.c   
|  AUTHOR:        Rob Ostapiuk
|  DATE:          30 APR 2009
|  DESCRIPTION:   First MPLAB C18 project to test whether everything is working
|  REQUIREMENTS:  TLS2118.lib 
|                 Jumper J6 (next to LEDs) must be REMOVED                
| 
|  REVISION HISTORY:
|  30 APR 2009    Rob Ostapiuk v1.0
********************************************************************************/
#include <p18cxxx.h>
#include "TLS2118_LIB/P18F_LCD.h"

#pragma config OSC=INTIO7, WDT=OFF, BOREN = ON, BORV = 1, LVP=OFF, PBADEN=OFF, XINST = OFF, MCLRE = ON

#define	LED1	LATDbits.LATD0

void	SW_Delay(void)
{
	unsigned 	Delay_X , Delay_Y ;
	for ( Delay_X = 0 ; Delay_X < 10000 ; Delay_X ++)
	{
		Delay_Y += 1 ;	
	}
}
void main(void)
{
	OSCCONbits.IRCF = 0x07 ;		// ToDo : iHվ IRCF 줸ӳ]wu@Wv
									// Select INTOSC-8Mhz as clock source
									// 줸cW٬OΩ C18 v3.37 (t)H
									// pϥ v.3.36 HeаѦ p18f4520.h ɸ̪W٩wq 
    OpenLCD();

    //Type casting required because library is built with large code model but
    //MPLAB defaults to small code model
    putrsLCD((const rom far char*)"Hello,TLS2118!");

	LATD = 0x00 ;		// Turn Off all LEDs
    
    while(1)
	{
		SW_Delay();
		LED1 = ! LED1 ;
	}
}
